﻿Copyright (c) (2016) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Fluke 281/282/284 (1 yr) Amplitude VER /5790
INSTRUMENT:            Sub Fluke 281/282/284 (1 yr) Ampl Flatness VER /5790
DATE:                  2016-11-21 10:57:26
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 17364 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       11
NUMBER OF LINES:       212
CONFIGURATION:         Fluke 5790A
=============================================================================
#
#  Procedure Author:
#        DFM, DAC
#
#  Dev(s) Covered:
#        Fluke 281, 282, 284
#        TTi TGA1241, TGA1242, TGA1244
#        Wavetek 39A, 195
#
#  Source(s):
#        Fluke 281/282/284
#        Accuracy Verification Procedure
#        Fluke Calibration Service Engineering
#        Orig: 2009-05-20
#        Rev:  2009-10-21
#
#  Compatibility:
#        MET/CAL 8.0 or later
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           ISVAR("@Chan")
  1.002  HEAD         -2 CHANNEL [V @Chan]
  1.003  MATH         @DUT_Setup = "SETUPCH " & @Chan & ";"
  1.004  ELSE
  1.005  MATH         @DUT_Setup = ""
  1.006  ENDIF

  1.007  MATH         @DUT_Setup = @DUT_Setup & "ZLOAD 50;WAVE SINE;"
  1.008  MATH         @DUT_Setup = @DUT_Setup & "AMPUNIT VRMS;"

  1.009  JMPL         AMPLITUDE_ACCURACY           PSUBI("Amplitude")
  1.010  JMPL         AMPLITUDE_FLATNESS           PSUBI("Ampl Flatness")
  1.011  DISP         Subprocedure not found!
  1.012  END

  1.013  EVAL   Increment test number

# =====  Sub Fluke 281/282/284 (1 yr) Amplitude VER /5790  ==================

  2.001  LABEL        AMPLITUDE_ACCURACY
  2.002  HEAD         AMPLITUDE ACCURACY (1 kHz)
  2.003  MATH         @DUT_Setup = @DUT_Setup & "WAVFREQ 1E+3;"
  2.004  TARGET       -p
  2.005  TSET         TDESC = 3.54 Vrms
  2.006  MATH         @Cmd = "*RST"
  2.007  CALL         Sub TTi Function Generator Send Command, Wait for OPC
  2.008  JMPL         END                          @Abort

  2.009  IF           NOT(ISVAR("@Chan"))
  2.010  DISP         Connect DUT MAIN OUT to 5790A WIDEBAND using a
  2.010  DISP         BNC cable, and a BNC (f) to Type-N (m) adapter.
  2.011  ELSEIF       @Chan == 1
  2.012  DISP         Connect DUT CHANNEL 1 MAIN OUT to 5790A WIDEBAND
  2.012  DISP         using a BNC cable, and a BNC (f) to Type-N (m) adapter.
  2.013  ELSE
  2.014  DISP         Move the DUT connection to CHANNEL [V @Chan] MAIN OUT.
  2.015  ENDIF

  2.016  DISP         The next routine operator intervention occurs in
  2.016  DISP         approximately 5 minutes.

  2.017  HEAD         -2 Output Level: 3.54 Vrms
  2.018  MATH         @Cmd = @DUT_Setup & "AMPL 3.54;OUTPUT ON"
  2.019  CALL         Sub TTi Function Generator Send Command, Wait for OPC
  2.020  JMPL         END                          @Abort
  2.021  TARGET       -m
  2.022  5790         3.54V          2% 0.001U     1kH            W  F     2W

  3.001  HEAD         -2 Output Level: 1.77 Vrms
  3.002  TSET         TDESC = 1.77 Vrms
  3.003  MATH         @Cmd = @DUT_Setup & "AMPL 1.77;OUTPUT ON"
  3.004  CALL         Sub TTi Function Generator Send Command, Wait for OPC
  3.005  JMPL         END                          @Abort
  3.006  TARGET       -m
  3.007  5790         1.77V          2% 0.001U     1kH            W  F     2W

  4.001  HEAD         -2 Output Level: 354 mVrms
  4.002  TSET         TDESC = 354 mVrms
  4.003  MATH         @Cmd = @DUT_Setup & "AMPL 0.354;OUTPUT ON"
  4.004  CALL         Sub TTi Function Generator Send Command, Wait for OPC
  4.005  JMPL         END                          @Abort
  4.006  TARGET       -m
  4.007  5790         354mV          2% 1U         1kH            W  F     2W

  5.001  JMPL         END

  5.002  EVAL   Increment test number

# =====  Sub Fluke 281/282/284(1 yr) Amplitude Flatness VER/5790  ===========

  6.001  LABEL        AMPLITUDE_FLATNESS
  6.002  HEAD         AMPLITUDE FLATNESS (3.54 Vrms, 1 kHz Reference)
  6.003  MATH         @DUT_Setup = @DUT_Setup & "AMPL 3.54;"
  6.004  TARGET       -p
  6.005  MATH         @Cmd = "*RST"
  6.006  CALL         Sub TTi Function Generator Send Command, Wait for OPC
  6.007  JMPL         END                          @Abort

# Determine reference amplitude at 1 kHz.
  6.008  HEAD         -2 Setting 1 kHz reference...
  6.009  MATH         @Cmd = @DUT_Setup & "WAVFREQ 1E+3;OUTPUT ON"
  6.010  CALL         Sub TTi Function Generator Send Command, Wait for OPC
  6.011  JMPL         END                          @Abort
  6.012  5790         3.54V                        1kH            W  F  N  2W
  6.013  MATH         Dev = "Fluke 5790A"; Mode = "Volts W Flat"
  6.014  MATH         RefUnc = ACCV2(Dev, Mode, MEM, 1E+3) / CONF(Dev)
  6.015  MATH         RefUncPct = (RefUnc / MEM) * 100
  6.016  MATH         RefLvl = MEM

  6.017  HEAD         -2 Output Frequency: 10 Hz
  6.018  TSET         TDESC = 10 Hz
  6.019  MATH         @Cmd = @DUT_Setup & "WAVFREQ 10;OUTPUT ON"
  6.020  CALL         Sub TTi Function Generator Send Command, Wait for OPC
  6.021  TARGET       -m
  6.022  5790         3.54V                        10H            W  F  N  2W
  6.023  MATH         TestUnc = ACCV2(Dev, Mode, MEM, 10) / CONF(Dev)
  6.024  MATH         TestUncPct = (TestUnc / MEM) * 100
  6.025  MATH         TestUncLog = PCTTODBV_D(TestUnc / RefLvl) * 100
  6.026  MATH         L[1] = PCTTODBV_D(RSS2(RefUncPct, TestUncPct) * 2)
  6.027  MATH         MEM = MEM - RefLvl
  6.028  ACC          dB             L1U
  6.029  MEMC         0.00dB         0.20U         10Hz

  7.001  HEAD         -2 Output Frequency: 100 kHz
  7.002  TSET         TDESC = 100 kHz
  7.003  MATH         @Cmd = @DUT_Setup & "WAVFREQ 100E+3;OUTPUT ON"
  7.004  CALL         Sub TTi Function Generator Send Command, Wait for OPC
  7.005  TARGET       -m
  7.006  5790         3.54V                        100kH          W  F  N  2W
  7.007  MATH         TestUnc = ACCV2(Dev, Mode, MEM, 100E+3) / CONF(Dev)
  7.008  MATH         TestUncPct = (TestUnc / MEM) * 100
  7.009  MATH         TestUncLog = PCTTODBV_D(TestUnc / RefLvl) * 100
  7.010  MATH         L[1] = PCTTODBV_D(RSS2(RefUncPct, TestUncPct) * 2)
  7.011  MATH         MEM = MEM - RefLvl
  7.012  ACC          dB             L1U
  7.013  MEMC         0.00dB         0.20U         100kHz

  8.001  HEAD         -2 Output Frequency: 200 kHz
  8.002  TSET         TDESC = 200 kHz
  8.003  MATH         @Cmd = @DUT_Setup & "WAVFREQ 200E+3;OUTPUT ON"
  8.004  CALL         Sub TTi Function Generator Send Command, Wait for OPC
  8.005  TARGET       -m
  8.006  5790         3.54V                        200kH          W  F  N  2W
  8.007  MATH         TestUnc = ACCV2(Dev, Mode, MEM, 200E+3) / CONF(Dev)
  8.008  MATH         TestUncPct = (TestUnc / MEM) * 100
  8.009  MATH         TestUncLog = PCTTODBV_D(TestUnc / RefLvl) * 100
  8.010  MATH         L[1] = PCTTODBV_D(RSS2(RefUncPct, TestUncPct) * 2)
  8.011  MATH         MEM = MEM - RefLvl
  8.012  ACC          dB             L1U
  8.013  MEMC         0.00dB         0.20U         200kHz

  9.001  HEAD         -2 Output Frequency: 10 MHz
  9.002  TSET         TDESC = 10 MHz
  9.003  MATH         @Cmd = @DUT_Setup & "WAVFREQ 10E+6;OUTPUT ON"
  9.004  CALL         Sub TTi Function Generator Send Command, Wait for OPC
  9.005  TARGET       -m
  9.006  5790         3.54V                        10MH           W  F  N  2W
  9.007  MATH         TestUnc = ACCV2(Dev, Mode, MEM, 10E+6) / CONF(Dev)
  9.008  MATH         TestUncPct = (TestUnc / MEM) * 100
  9.009  MATH         TestUncLog = PCTTODBV_D(TestUnc / RefLvl) * 100
  9.010  MATH         L[1] = PCTTODBV_D(RSS2(RefUncPct, TestUncPct) * 2)
  9.011  MATH         MEM = MEM - RefLvl
  9.012  ACC          dB             L1U
  9.013  MEMC         0.00dB         1.00U         10MHz

 10.001  HEAD         -2 Output Frequency: 16 MHz
 10.002  TSET         TDESC = 16 MHz
 10.003  MATH         @Cmd = @DUT_Setup & "WAVFREQ 16E+6;OUTPUT ON"
 10.004  CALL         Sub TTi Function Generator Send Command, Wait for OPC
 10.005  TARGET       -m
 10.006  5790         3.54V                        16MH           W  F  N  2W
 10.007  MATH         TestUnc = ACCV2(Dev, Mode, MEM, 16E+6) / CONF(Dev)
 10.008  MATH         TestUncPct = (TestUnc / MEM) * 100
 10.009  MATH         TestUncLog = PCTTODBV_D(TestUnc / RefLvl) * 100
 10.010  MATH         L[1] = PCTTODBV_D(RSS2(RefUncPct, TestUncPct) * 2)
 10.011  MATH         MEM = MEM - RefLvl
 10.012  ACC          dB             L1U
 10.013  MEMC         0.00dB         2.50U         16MHz

 11.001  LABEL        END
 11.002  HEAD         -2
 11.003  HEAD
 11.004  MATH         @Cmd = "*RST"
 11.005  CALL         Sub TTi Function Generator Send Command, Wait for OPC
 11.006  5790         *                                                 S
 11.007  END
