﻿Copyright (c) (2016) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Fluke 281/282/284 (1 yr) Distortion VER /ESA
INSTRUMENT:            Sub Fluke 281/282/284 (1 yr) Non-harmonic Dist VER /ESA
DATE:                  2016-11-21 10:59:05
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 17364 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       7
NUMBER OF LINES:       248
CONFIGURATION:         Agilent ESA
=============================================================================
#
#  Procedure Author:
#        DFM, DAC
#
#  Dev(s) Covered:
#        Fluke 281, 282, 284
#        TTi TGA1241, TGA1242, TGA1244
#        Wavetek 39A, 195
#
#  Source(s):
#        Fluke 281/282/284
#        Accuracy Verification Procedure
#        Fluke Calibration Service Engineering
#        Orig: 2009-05-20
#        Rev:  2009-10-21
#
#  Compatibility:
#        MET/CAL 8.0 or later
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  MATH         ResetCmd = "*RST"

  1.002  IF           ISVAR("@Chan")
  1.003  HEAD         -2 CHANNEL [V @Chan]
  1.004  MATH         @DUT_Setup = "SETUPCH " & @Chan & ";"
  1.005  ELSE
  1.006  MATH         @DUT_Setup = ""
  1.007  ENDIF

  1.008  MATH         @DUT_Setup = @DUT_Setup & "ZLOAD 50;WAVE SINE;"
  1.009  MATH         @DUT_Setup = @DUT_Setup & "AMPUNIT VRMS;AMPL 3.5;"

  1.010  JMPL         SINE_WAVE_DISTORTION         PSUBI("Distortion")
  1.011  JMPL         NON-HARMONIC_DISTORTION      PSUBI("Non-harmonic")
  1.012  DISP         Subprocedure not found!
  1.013  END

  1.014  EVAL   Increment step number

# =====  Sub Fluke 281/282/284 (1 yr) Distortion VER /ESA  ==================

  2.001  LABEL        SINE_WAVE_DISTORTION
  2.002  HEAD         SINE WAVE DISTORTION
  2.003  MATH         @First = 1

  2.004  MATH         @Freq = "1 MHz"
  2.005  CALL         Sub Fluke 281/282/284 (1 yr) Distortion Tests /ESA
  2.006  JMPL         END                          @Abort
  2.007  MATH         @Freq = "5 MHz"
  2.008  CALL         Sub Fluke 281/282/284 (1 yr) Distortion Tests /ESA
  2.009  JMPL         END                          @Abort
  2.010  MATH         @Freq = "10 MHz"
  2.011  CALL         Sub Fluke 281/282/284 (1 yr) Distortion Tests /ESA
  2.012  JMPL         END                          @Abort
  2.013  MATH         @Freq = "16 MHz"
  2.014  CALL         Sub Fluke 281/282/284 (1 yr) Distortion Tests /ESA
  2.015  JMPL         END

  2.016  EVAL   Increment step number

# =====  Sub Fluke 281/282/284 (1 yr) Non-harmonic Dist VER /ESA  ===========

  3.001  LABEL        NON-HARMONIC_DISTORTION
  3.002  HEAD         SINE WAVE NON-HARMONIC DISTORTION
  3.003  MATH         @Cmd = @DUT_Setup & "WAVFREQ 6E+6;OUTPUT ON"

  3.004  LABEL        NON-HARMONIC_DISTORTION_6_MHz
  3.005  TARGET       -p

  3.006  ESA          AmplitudeScale = 10 dB/div; InputAttenuation = 10 dB
  3.006  ESA          CenterFreq = 6 MHz; FreqSpan = 400 kHz
  3.006  ESA          +Ampl = -6 dBm; RefLevel = 0 dBm; PeakSearch; Setup
  3.007  CALL         Sub TTi Function Generator Send Command, Wait for OPC
  3.008  JMPL         END                          @Abort
  3.009  ESA          AmplitudeScale = 10 dB/div; InputAttenuation = 10 dB
  3.009  ESA          CenterFreq = 6 MHz; FreqSpan = 400 kHz
  3.009  ESA          +Ampl = -6 dBm; RefLevel = 0 dBm; PeakSearch; Read
  3.010  MATH         L[10] = REFACC()

  3.011  IF           L[10] < 0
  3.012  DISP         Error:  REFACC() returned [L1].
  3.012  DISP
  3.012  DISP         Setting system accuracy to zero...
  3.013  MATH         L[10] = 0
  3.014  ELSE
  3.015  MATH         L[10] = L[10] / DBMTOW(MEM) * 100
  3.016  ENDIF

  3.017  MATH         RefLvl = MEM
# Skip sub-harmonic at 750 kHz
  3.018  ESA          AmplitudeScale = 10 dB/div; InputAttenuation = 10 dB
  3.018  ESA          StartFreq = 950 kHz; StopFreq = 1.3 MHz
  3.018  ESA          +Ampl = -35 dBm; RefLevel = 0 dBm; PeakSearch; Setup
  3.019  TARGET       -m
  3.020  ESA          AmplitudeScale = 10 dB/div; InputAttenuation = 10 dB
  3.020  ESA          StartFreq = 950 kHz; StopFreq = 1.3 MHz
  3.020  ESA          +Ampl = -35 dBm; RefLevel = 0 dBm; PeakSearch; Read
  3.021  MATH         L[20] = REFACC()

  3.022  IF           L[20] < 0
  3.023  DISP         Error:  REFACC() returned [L2].
  3.023  DISP
  3.023  DISP         Setting system accuracy to zero...
  3.024  MATH         L[20] = 0; L[30] = 0

  3.025  ELSE
  3.026  MATH         L[20] = L[20] / DBMTOW(MEM) * 100
  3.027  MATH         L30U = PCTTODBW_D(RSS2(L[10], L[20]))
  3.028  ENDIF

  3.029  MATH         MEM = MEM - RefLvl
  3.030  TSET         TDESC = [MEM] dB: 0.950 - 1.3 MHz
  3.031  ACC          dBc            L30U
  3.032  MEMC         -65.0dBc       -0.0U +100.0U

  4.001  JMPL         NON-HARMONIC_DISTORTION_6_MHz_SPAN_2

# Force a new reference level reading for Post Test Repeat and Cancel.
  4.002  TARGET       -p
  4.003  JMPL         NON-HARMONIC_DISTORTION_6_MHz

  4.004  LABEL        NON-HARMONIC_DISTORTION_6_MHz_SPAN_2
# Skip sub-harmonic at 1.5 MHz
  4.005  ESA          AmplitudeScale = 10 dB/div; InputAttenuation = 10 dB
  4.005  ESA          StartFreq = 1.7 MHz; StopFreq = 2.8 MHz
  4.005  ESA          +Ampl = -65 dBm; RefLevel = 0 dBm; PeakSearch; Setup
  4.006  TARGET       -m
  4.007  ESA          AmplitudeScale = 10 dB/div; InputAttenuation = 10 dB
  4.007  ESA          StartFreq = 1.7 MHz; StopFreq = 2.8 MHz
  4.007  ESA          +Ampl = -65 dBm; RefLevel = 0 dBm; PeakSearch; Read
  4.008  MATH         L[20] = REFACC()

  4.009  IF           L[20] < 0
  4.010  DISP         Error:  REFACC() returned [L2].
  4.010  DISP
  4.010  DISP         Setting system accuracy to zero...
  4.011  MATH         L[20] = 0; L30U = 0

  4.012  ELSE
  4.013  MATH         L[20] = L[20] / DBMTOW(MEM) * 100
  4.014  MATH         L30U = PCTTODBW_D(RSS2(L[10], L[20]))
  4.015  ENDIF

  4.016  MATH         MEM = MEM - RefLvl
  4.017  TSET         TDESC = [MEM] dB: 1.7 - 2.8 MHz
  4.018  ACC          dBc            L30U
  4.019  MEMC         -65.0dBc       -0.0U +100.0U

  5.001  JMPL         NON-HARMONIC_DISTORTION_6_MHz_SPAN_3

# Force a new reference level reading for Post Test Repeat and Cancel.
  5.002  TARGET       -p
  5.003  JMPL         NON-HARMONIC_DISTORTION_6_MHz

  5.004  LABEL        NON-HARMONIC_DISTORTION_6_MHz_SPAN_3
# Skip sub-harmonic at 3.0 MHz
  5.005  ESA          AmplitudeScale = 10 dB/div; InputAttenuation = 10 dB
  5.005  ESA          StartFreq = 3.2 MHz; StopFreq = 5.8 MHz
  5.005  ESA          +Ampl = -35 dBm; RefLevel = 0 dBm; PeakSearch; Setup
  5.006  TARGET       -m
  5.007  ESA          AmplitudeScale = 10 dB/div; InputAttenuation = 10 dB
  5.007  ESA          StartFreq = 3.2 MHz; StopFreq = 5.8 MHz
  5.007  ESA          +Ampl = -35 dBm; RefLevel = 0 dBm; PeakSearch; Read
  5.008  MATH         L[20] = REFACC()

  5.009  IF           L[20] < 0
  5.010  DISP         Error:  REFACC() returned [L2].
  5.010  DISP
  5.010  DISP         Setting system accuracy to zero...
  5.011  MATH         L[20] = 0; L30U = 0

  5.012  ELSE
  5.013  MATH         L[20] = L[20] / DBMTOW(MEM) * 100
  5.014  MATH         L30U = PCTTODBW_D(RSS2(L[10], L[20]))
  5.015  ENDIF

  5.016  MATH         MEM = MEM - RefLvl
  5.017  TSET         TDESC = [MEM] dB: 3.2 - 5.8 MHz
  5.018  ACC          dBc            L30U
  5.019  MEMC         -65.0dBc       -0.0U +100.0U


  6.001  JMPL         NON-HARMONIC_DISTORTION_6_MHz_SPAN_4

# Force a new reference level reading for Post Test Repeat and Cancel.
  6.002  TARGET       -p
  6.003  JMPL         NON-HARMONIC_DISTORTION_6_MHz

  6.004  LABEL        NON-HARMONIC_DISTORTION_6_MHz_SPAN_4
# Skip fundemental at 6.0 MHz
  6.005  ESA          AmplitudeScale = 10 dB/div; InputAttenuation = 10 dB
  6.005  ESA          StartFreq = 6.2 MHz; StopFreq = 10 MHz
  6.005  ESA          +Ampl = -35 dBm; RefLevel = 0 dBm; PeakSearch; Setup
  6.006  TARGET       -m
  6.007  ESA          AmplitudeScale = 10 dB/div; InputAttenuation = 10 dB
  6.007  ESA          StartFreq = 6.2 MHz; StopFreq = 10 MHz
  6.007  ESA          +Ampl = -35 dBm; RefLevel = 0 dBm; PeakSearch; Read
  6.008  MATH         L[20] = REFACC()

  6.009  IF           L[20] < 0
  6.010  DISP         Error:  REFACC() returned [L2].
  6.010  DISP
  6.010  DISP         Setting system accuracy to zero...
  6.011  MATH         L[20] = 0; L30U = 0

  6.012  ELSE
  6.013  MATH         L[20] = L[20] / DBMTOW(MEM) * 100
  6.014  MATH         L30U = PCTTODBW_D(RSS2(L[10], L[20]))
  6.015  ENDIF

  6.016  MATH         MEM = MEM - RefLvl
  6.017  TSET         TDESC = [MEM] dB: 6.2 - 10 MHz
  6.018  ACC          dBc            L30U
  6.019  MEMC         -65.0dBc       -0.0U +100.0U

  7.001  LABEL        END
  7.002  HEAD         -2
  7.003  HEAD
  7.004  MATH         @Cmd = "*RST"
  7.005  CALL         Sub TTi Function Generator Send Command, Wait for OPC
  7.006  ESA          Reset
  7.007  END
