﻿Copyright (c) (2016) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Wavetek 195 (1 yr) VER IEEE /5790,8903,ESA,LFCTR
DATE:                  2017-02-10 07:48:07
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 18254 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       430
CONFIGURATION:         Fluke 5790A
CONFIGURATION:         HP 8903B
CONFIGURATION:         Agilent ESA
CONFIGURATION:         Low Frequency Counter
=============================================================================
#
#  Procedure Author:
#        DFM, DAC
#
#  Source(s):
#        Fluke 281/282/284
#        Accuracy Verification Procedure
#        Fluke Calibration Service Engineering
#        Orig: 2009-05-20
#        Rev:  2009-10-21
#
#  Additional Equipment Required:
#        See procedure body for specific cables and adapters required.
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  ASK-   R   Q N              P                                     V

  1.002  IF           0
  1.003  5790         *                                                 S
  1.004  8903         *                                                 S
  1.005  ESA          Reset
  1.006  IEEE         [@LFCTR]
  1.007  ENDIF

  1.008  IF           VERSIONCHECK("8.0")
  1.009  END
  1.010  ENDIF

  1.011  CALL         Sub Display Copyright

  1.012  HEAD         PRELIMINARY INSTRUCTIONS
  1.013  DISP         Prior to beginning verification, a UUT warm-up time
  1.013  DISP         of 30 minutes.
  1.013  DISP
  1.013  DISP         Additionally, the UUT must have acclimated to the
  1.013  DISP         ambient conditions of the test environment for at
  1.013  DISP         least two hours.

  1.014  HEAD         SETUP PROCEDURE EXECUTION PARAMETERS
  1.015  CALL         Sub Select Failed Test Mode
  1.016  CALL         Sub Select Verification Method
  1.017  CALL         Sub UUT Connection GPIB

  1.018  HEAD         UUT IDENTIFICATION
  1.019  CALL         Sub IEEE-488.2 Identification Query (*IDN?) IEEE

  1.020  MATH         @Manufacturer     = GETV("Manufacturer")
  1.021  MATH         @ModelNum         = GETV("Model_Num")
  1.022  MATH         @UUT_Manufacturer = "WAVETEK"
  1.023  MATH         @UUT_Model        = "MODEL 195"
  1.024  CALL         Sub IEEE-488.2 Identification Query Check Response

  1.025  IF           @Abort
  1.026  END
  1.027  ENDIF

  1.028  OPBR         -z Do you want to REVIEW the list of flexible standards,
  1.028  OPBR         additional equipment and/or accessories required?

  1.029  IF           MEM1
  1.030  CALL         Sub Fluke 281/282/284 (1 yr) Min Requirements /LFCTR

  1.031  IF           @Abort
  1.032  END
  1.033  ENDIF

  1.034  CALL         Sub Fluke 281/282/284 Additional Required Equipment
  1.035  ENDIF

  1.036  RESET        OUTPUT OFF;*OPC?[I!]

# Set timeout for "Sub Wait for OPC 488.2" to 10 s.
  1.037  MATH         @Timeout = 10000

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
# 195 (2 Ch)
#
#  Order  Results                            Run Time (Execution)
#  -----  ---------------------------------  ---------------------------------
#    1.   Sine Frequency Accuracy Ch 1       Sine Frequency Accuracy Ch 1
#    2.   Sine Frequency Accuracy Ch 2       Square Frequency Accuracy Ch 1
#    3.   Square Frequency Accuracy Ch 1     Square Rise/Fall Time Ch 1
#    4.   Square Frequency Accuracy Ch 2     Sine Frequency Accuracy Ch 2
#    5.   Frequency Synthesis Ch 1           Square Frequency Accuracy Ch 2
#    6.   Frequency Synthesis Ch 2           Square Rise/Fall Time Ch 2
#    7.   Square Rise/Fall Time Ch 1         Frequency Synthesis Ch 1
#    8.   Square Rise/Fall Time Ch 2         Frequency Synthesis Ch 2
#    9.   Amplitude Accuracy Ch 1            Amplitude Accuracy Ch 1
#   10.   Amplitude Accuracy Ch 2            Amplitude Flatness Ch 1
#   11.   Amplitude Flatness Ch 1            Amplitude Accuracy Ch 2
#   12.   Amplitude Flatness Ch 2            Amplitude Flatness Ch 2
#   13.   Sine Distortion <= 100 kHz Ch 1    Sine Distortion <= 100 kHz Ch 1
#   14.   Sine Distortion > 100 kHz Ch 1     Sine Distortion <= 100 kHz Ch 2
#   15.   Sine Distortion <= 100 kHz Ch 2    Sine Distortion > 100 kHz Ch 1
#   16.   Sine Distortion > 100 kHz Ch 2     Non-harmonic Distortion Ch 1
#   17.   Non-harmonic Distortion Ch 1       Sine Distortion > 100 kHz Ch 2
#   18.   Non-harmonic Distortion Ch 2       Non-harmonic Distortion Ch 2
#
# 195 Option 001 (4 Ch)
#
#  Order  Results                            Run Time (Execution)
#  -----  ---------------------------------  ---------------------------------
#    1.   Sine Frequency Accuracy Ch 1       Sine Frequency Accuracy Ch 1
#    2.   Sine Frequency Accuracy Ch 2       Square Frequency Accuracy Ch 1
#    3.   Sine Frequency Accuracy Ch 3       Square Rise/Fall Time Ch 1
#    4.   Sine Frequency Accuracy Ch 4       Sine Frequency Accuracy Ch 2
#    5.   Square Frequency Accuracy Ch 1     Square Frequency Accuracy Ch 2
#    6.   Square Frequency Accuracy Ch 2     Square Rise/Fall Time Ch 2
#    7.   Square Frequency Accuracy Ch 3     Sine Frequency Accuracy Ch 3
#    8.   Square Frequency Accuracy Ch 4     Square Frequency Accuracy Ch 3
#    9.   Frequency Synthesis Ch 1           Square Rise/Fall Time Ch 3
#   10.   Frequency Synthesis Ch 2           Sine Frequency Accuracy Ch 4
#   11.   Frequency Synthesis Ch 3           Square Frequency Accuracy Ch 4
#   12.   Frequency Synthesis Ch 4           Square Rise/Fall Time Ch 4
#   13.   Square Rise/Fall Time Ch 1         Frequency Synthesis Ch 1
#   14.   Square Rise/Fall Time Ch 2         Frequency Synthesis Ch 2
#   15.   Square Rise/Fall Time Ch 3         Frequency Synthesis Ch 3
#   16.   Square Rise/Fall Time Ch 4         Frequency Synthesis Ch 4
#   17.   Amplitude Accuracy Ch 1            Amplitude Accuracy Ch 1
#   18.   Amplitude Accuracy Ch 2            Amplitude Flatness Ch 1
#   19.   Amplitude Accuracy Ch 3            Amplitude Accuracy Ch 2
#   20.   Amplitude Accuracy Ch 4            Amplitude Flatness Ch 2
#   21.   Amplitude Flatness Ch 1            Amplitude Accuracy Ch 3
#   22.   Amplitude Flatness Ch 2            Amplitude Flatness Ch 3
#   23.   Amplitude Flatness Ch 3            Amplitude Accuracy Ch 4
#   24.   Amplitude Flatness Ch 4            Amplitude Flatness Ch 4
#   25.   Sine Distortion <= 100 kHz Ch 1    Sine Distortion <= 100 kHz Ch 1
#   26.   Sine Distortion > 100 kHz Ch 1     Sine Distortion <= 100 kHz Ch 2
#   27.   Sine Distortion <= 100 kHz Ch 2    Sine Distortion <= 100 kHz Ch 3
#   28.   Sine Distortion > 100 kHz Ch 2     Sine Distortion <= 100 kHz Ch 4
#   29.   Sine Distortion <= 100 kHz Ch 3    Sine Distortion > 100 kHz Ch 1
#   30.   Sine Distortion > 100 kHz Ch 3     Non-harmonic Distortion Ch 1
#   31.   Sine Distortion <= 100 kHz Ch 4    Sine Distortion > 100 kHz Ch 2
#   32.   Sine Distortion > 100 kHz Ch 4     Non-harmonic Distortion Ch 2
#   33.   Non-harmonic Distortion Ch 1       Sine Distortion > 100 kHz Ch 3
#   34.   Non-harmonic Distortion Ch 2       Non-harmonic Distortion Ch 3
#   35.   Non-harmonic Distortion Ch 3       Sine Distortion > 100 kHz Ch 4
#   36.   Non-harmonic Distortion Ch 4       Non-harmonic Distortion Ch 4

  1.038  RSLT         =
  1.039  RSLT         =SINE WAVE FREQUENCY ACCURACY
  1.040  RSLT         =
  1.041  RSLT         =Channel 1
  1.042  MATH         @Chan = 1
  1.043  CALL         Sub Fluke 281/282/284 (1 yr) SI Frequency VER /LFCTR
  1.044  JMPL         SQUARE_FREQ_CH1

  1.045  LABEL        SINE_FREQ_CH2
  1.046  RSLT         =
  1.047  RSLT         =Channel 2
  1.048  MATH         @Chan = 2
  1.049  CALL         Sub Fluke 281/282/284 (1 yr) SI Frequency VER /LFCTR
  1.050  JMPL         SQUARE_FREQ_CH2

  1.051  LABEL        SINE_FREQ_CH3
  1.052  RSLT         =
  1.053  RSLT         =Channel 3
  1.054  MATH         @Chan = 3
  1.055  CALL         Sub Fluke 281/282/284 (1 yr) SI Frequency VER /LFCTR
  1.056  JMPL         SQUARE_FREQ_CH3

  1.057  LABEL        SINE_FREQ_CH4
  1.058  RSLT         =
  1.059  RSLT         =Channel 4
  1.060  MATH         @Chan = 4
  1.061  CALL         Sub Fluke 281/282/284 (1 yr) SI Frequency VER /LFCTR
  1.062  JMPL         SQUARE_FREQ_CH4

  1.063  LABEL        SQUARE_FREQ_CH1
  1.064  RSLT         =
  1.065  RSLT         =SQUARE WAVE FREQUENCY ACCURACY
  1.066  RSLT         =Channel 1
  1.067  MATH         @Chan = 1
  1.068  CALL         Sub Fluke 281/282/284 (1 yr) SQ Frequency VER /LFCTR
  1.069  JMPL         RISE_FALL_CH1

  1.070  LABEL        SQUARE_FREQ_CH2
  1.071  RSLT         =
  1.072  RSLT         =Channel 2
  1.073  MATH         @Chan = 2
  1.074  CALL         Sub Fluke 281/282/284 (1 yr) SQ Frequency VER /LFCTR
  1.075  JMPL         RISE_FALL_CH2

  1.076  LABEL        SQUARE_FREQ_CH3
  1.077  RSLT         =
  1.078  RSLT         =Channel 3
  1.079  MATH         @Chan = 3
  1.080  CALL         Sub Fluke 281/282/284 (1 yr) SQ Frequency VER /LFCTR
  1.081  JMPL         RISE_FALL_CH3

  1.082  LABEL        SQUARE_FREQ_CH4
  1.083  RSLT         =
  1.084  RSLT         =Channel 4
  1.085  MATH         @Chan = 4
  1.086  CALL         Sub Fluke 281/282/284 (1 yr) SQ Frequency VER /LFCTR
  1.087  JMPL         RISE_FALL_CH4

  1.088  LABEL        FREQ_SYNTHESIS_CH1
  1.089  RSLT         =
  1.090  RSLT         =FREQUENCY SYNTHESIS
  1.091  RSLT         =
  1.092  RSLT         =Channel 1
  1.093  MATH         @Chan = 1
  1.094  CALL         Sub Fluke 281/282/284 (1 yr) Freq Synthesis VER /LFCTR

  1.095  RSLT         =
  1.096  RSLT         =Channel 2
  1.097  MATH         @Chan = 2
  1.098  CALL         Sub Fluke 281/282/284 (1 yr) Freq Synthesis VER /LFCTR
  1.099  JMPL         FREQ_SYNTHESIS_CH3           PSUBI("Opt001")
  1.100  JMPL         AMPLITUDE_CH1

  1.101  LABEL        FREQ_SYNTHESIS_CH3
  1.102  RSLT         =
  1.103  RSLT         =Channel 3
  1.104  MATH         @Chan = 3
  1.105  CALL         Sub Fluke 281/282/284 (1 yr) Freq Synthesis VER /LFCTR

  1.106  RSLT         =
  1.107  RSLT         =Channel 4
  1.108  MATH         @Chan = 4
  1.109  CALL         Sub Fluke 281/282/284 (1 yr) Freq Synthesis VER /LFCTR
  1.110  JMPL         AMPLITUDE_CH1

  1.111  LABEL        RISE_FALL_CH1
  1.112  RSLT         =
  1.113  RSLT         =SQUARE WAVE RISE/FALL
  1.114  RSLT         =
  1.115  RSLT         =Channel 1
  1.116  MATH         @Chan = 1
  1.117  CALL         Sub Fluke 281/282/284 (1 yr) Square Rise/Fall VER/LFCTR
  1.118  JMPL         SINE_FREQ_CH2

  1.119  LABEL        RISE_FALL_CH2
  1.120  RSLT         =
  1.121  RSLT         =Channel 2
  1.122  MATH         @Chan = 2
  1.123  CALL         Sub Fluke 281/282/284 (1 yr) Square Rise/Fall VER/LFCTR
  1.124  JMPL         SINE_FREQ_CH3                PSUBI("Opt001")
  1.125  JMPL         FREQ_SYNTHESIS_CH1

  1.126  LABEL        RISE_FALL_CH3
  1.127  RSLT         =
  1.128  RSLT         =Channel 3
  1.129  MATH         @Chan = 3
  1.130  CALL         Sub Fluke 281/282/284 (1 yr) Square Rise/Fall VER/LFCTR
  1.131  JMPL         SINE_FREQ_CH4

  1.132  LABEL        RISE_FALL_CH4
  1.133  RSLT         =
  1.134  RSLT         =Channel 4
  1.135  MATH         @Chan = 4
  1.136  CALL         Sub Fluke 281/282/284 (1 yr) Square Rise/Fall VER/LFCTR
  1.137  JMPL         FREQ_SYNTHESIS_CH1

  1.138  LABEL        AMPLITUDE_CH1
  1.139  RSLT         =
  1.140  RSLT         =AMPLITUDE ACCURACY
  1.141  RSLT         =
  1.142  RSLT         =Channel 1
  1.143  MATH         @Chan = 1
  1.144  CALL         Sub Fluke 281/282/284 (1 yr) Amplitude VER /5790
  1.145  JMPL         AMPLITUDE_FLATLESS_CH1

  1.146  LABEL        AMPLITUDE_CH2
  1.147  RSLT         =
  1.148  RSLT         =Channel 2
  1.149  MATH         @Chan = 2
  1.150  CALL         Sub Fluke 281/282/284 (1 yr) Amplitude VER /5790
  1.151  JMPL         AMPLITUDE_CH3                PSUBI("Opt001")
  1.152  JMPL         SINE_WAVE_DISTORTION

  1.153  LABEL        AMPLITUDE_CH3
  1.154  RSLT         =
  1.155  RSLT         =Channel 3
  1.156  MATH         @Chan = 3
  1.157  CALL         Sub Fluke 281/282/284 (1 yr) Amplitude VER /5790
  1.158  JMPL         AMPLITUDE_FLATLESS_CH3

  1.159  LABEL        AMPLITUDE_CH4
  1.160  RSLT         =
  1.161  RSLT         =Channel 4
  1.162  MATH         @Chan = 4
  1.163  CALL         Sub Fluke 281/282/284 (1 yr) Amplitude VER /5790
  1.164  JMPL         AMPLITUDE_FLATLESS_CH4

  1.165  LABEL        AMPLITUDE_FLATLESS_CH1
  1.166  RSLT         =
  1.167  RSLT         =AMPLITUDE FLATNESS
  1.168  RSLT         =
  1.169  RSLT         =Channel 1
  1.170  MATH         @Chan = 1
  1.171  CALL         Sub Fluke 281/282/284 (1 yr) Ampl Flatness VER /5790
  1.172  JMPL         AMPLITUDE_CH2

  1.173  LABEL        AMPLITUDE_FLATLESS_CH2
  1.174  RSLT         =
  1.175  RSLT         =Channel 2
  1.176  MATH         @Chan = 2
  1.177  CALL         Sub Fluke 281/282/284 (1 yr) Ampl Flatness VER /5790
  1.178  JMPL         AMPLITUDE_CH3

  1.179  LABEL        AMPLITUDE_FLATLESS_CH3
  1.180  RSLT         =
  1.181  RSLT         =Channel 3
  1.182  MATH         @Chan = 3
  1.183  CALL         Sub Fluke 281/282/284 (1 yr) Ampl Flatness VER /5790
  1.184  JMPL         AMPLITUDE_CH4

  1.185  LABEL        AMPLITUDE_FLATLESS_CH4
  1.186  RSLT         =
  1.187  RSLT         =Channel 4
  1.188  MATH         @Chan = 4
  1.189  CALL         Sub Fluke 281/282/284 (1 yr) Ampl Flatness VER /5790

  1.190  LABEL        SINE_WAVE_DISTORTION
  1.191  RSLT         =
  1.192  RSLT         =SINE WAVE DISTORTION
  1.193  RSLT         =
  1.194  RSLT         =Channel 1
  1.195  MATH         @Chan = 1
  1.196  CALL         Sub Fluke 281/282/284 (1 yr) Distortion VER /8903
  1.197  JMPL         8903_DISTORTION_CH2

  1.198  LABEL        ESA_DISTORTION_CH1
  1.199  MATH         @Chan = 1
  1.200  CALL         Sub Fluke 281/282/284 (1 yr) Distortion VER /ESA
  1.201  JMPL         ESA_NON-HARMONIC_DISTORTION_CH1

  1.202  LABEL        8903_DISTORTION_CH2
  1.203  RSLT         =
  1.204  RSLT         =Channel 2
  1.205  MATH         @Chan = 2
  1.206  CALL         Sub Fluke 281/282/284 (1 yr) Distortion VER /8903
  1.207  JMPL         8903_DISTORTION_CH3          PSUBI("Opt001")
  1.208  JMPL         ESA_DISTORTION_CH1

  1.209  LABEL        ESA_DISTORTION_CH2
  1.210  MATH         @Chan = 2
  1.211  CALL         Sub Fluke 281/282/284 (1 yr) Distortion VER /ESA
  1.212  JMPL         ESA_NON-HARMONIC_DISTORTION_CH2

  1.213  LABEL        8903_DISTORTION_CH3
  1.214  RSLT         =
  1.215  RSLT         =Channel 3
  1.216  MATH         @Chan = 3
  1.217  CALL         Sub Fluke 281/282/284 (1 yr) Distortion VER /8903
  1.218  JMPL         8903_DISTORTION_CH4

  1.219  LABEL        ESA_DISTORTION_CH3
  1.220  MATH         @Chan = 3
  1.221  CALL         Sub Fluke 281/282/284 (1 yr) Distortion VER /ESA
  1.222  JMPL         ESA_NON-HARMONIC_DISTORTION_CH3

  1.223  LABEL        8903_DISTORTION_CH4
  1.224  RSLT         =
  1.225  RSLT         =Channel 4
  1.226  MATH         @Chan = 4
  1.227  CALL         Sub Fluke 281/282/284 (1 yr) Distortion VER /8903
  1.228  JMPL         ESA_DISTORTION_CH1

  1.229  LABEL        ESA_DISTORTION_CH4
  1.230  MATH         @Chan = 4
  1.231  CALL         Sub Fluke 281/282/284 (1 yr) Distortion VER /ESA
  1.232  JMPL         ESA_NON-HARMONIC_DISTORTION_CH4

  1.233  LABEL        ESA_NON-HARMONIC_DISTORTION_CH1
  1.234  RSLT         =
  1.235  RSLT         =SINE WAVE NON-HARMONIC DISTORTION (6 MHz Fundamental)
  1.236  RSLT         =
  1.237  RSLT         =Channel 1
  1.238  MATH         @Chan = 1
  1.239  CALL         Sub Fluke 281/282/284 (1 yr) Non-harmonic Dist VER /ESA
  1.240  JMPL         ESA_DISTORTION_CH2

  1.241  LABEL        ESA_NON-HARMONIC_DISTORTION_CH2
  1.242  RSLT         =
  1.243  RSLT         =Channel 2
  1.244  MATH         @Chan = 2
  1.245  CALL         Sub Fluke 281/282/284 (1 yr) Non-harmonic Dist VER /ESA
  1.246  JMPL         ESA_DISTORTION_CH3           PSUBI("Opt001")
  1.247  JMPL         DONE

  1.248  LABEL        ESA_NON-HARMONIC_DISTORTION_CH3
  1.249  RSLT         =
  1.250  RSLT         =Channel 3
  1.251  MATH         @Chan = 3
  1.252  CALL         Sub Fluke 281/282/284 (1 yr) Non-harmonic Dist VER /ESA
  1.253  JMPL         ESA_DISTORTION_CH4

  1.254  LABEL        ESA_NON-HARMONIC_DISTORTION_CH4
  1.255  RSLT         =
  1.256  RSLT         =Channel 4
  1.257  MATH         @Chan = 4
  1.258  CALL         Sub Fluke 281/282/284 (1 yr) Non-harmonic Dist VER /ESA

  1.259  LABEL        DONE
  1.260  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.261  END
